org.apache.lucene.luke.app.desktop.components.dialog.documents

## Enum DocValuesDialogFactory.Decoder

- java.lang.Object
- - java.lang.Enum<DocValuesDialogFactory.Decoder>
  - - org.apache.lucene.luke.app.desktop.components.dialog.documents.DocValuesDialogFactory.Decoder

All Implemented Interfaces:
  Serializable, Comparable<DocValuesDialogFactory.Decoder>

Enclosing class:
  DocValuesDialogFactory

    public static enum DocValuesDialogFactory.Decoder
    extends Enum<DocValuesDialogFactory.Decoder>

doc value decoders

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DOUBLE`
`FLOAT`
`LONG`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DocValuesDialogFactory.Decoder` `fromLabel(String label)`
`String` `toString()`
`static DocValuesDialogFactory.Decoder` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DocValuesDialogFactory.Decoder[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LONG

    public static final DocValuesDialogFactory.Decoder LONG

#### FLOAT

    public static final DocValuesDialogFactory.Decoder FLOAT

#### DOUBLE

    public static final DocValuesDialogFactory.Decoder DOUBLE

### Method Detail

#### values

    public static DocValuesDialogFactory.Decoder[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DocValuesDialogFactory.Decoder c : DocValuesDialogFactory.Decoder.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DocValuesDialogFactory.Decoder valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<DocValuesDialogFactory.Decoder>`

#### fromLabel

    public static DocValuesDialogFactory.Decoder fromLabel(String label)